# set to 1 to build with OpenType Font support
%define use_otf 0
# set to 1 to build with anthy support
%define use_anthy 0

Name:		m17n-lib
Version:	1.2.0
Release:	1%{?dist}
Summary:	Multilingual text library

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.m17n.org/m17n-lib/index.html
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	m17n-db
%if %{use_otf}
BuildRequires:	libxml2-devel, xorg-x11-devel
BuildRequires:	freetype-devel >= 2.0, fribidi-devel, gd-devel >= 2.0
BuildRequires:	libotf-devel >= %{libotf_version}
%endif
%if %{use_anthy}
BuildRequires:	anthy-devel
%endif
Requires:	m17n-db
Patch1:		m17n-lib-1.2.0-core-libs-only.patch

%description
m17n-lib is a multilingual text library used primarily to allow
the input of many languages with the input table maps from m17n-db.


%package	devel
Summary:	m17n-lib development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q
%if ! %{use_otf}
%patch1 -p1 -b .gui
autoreconf
%endif


%build
%configure --disable-static
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unneeded files
rm $RPM_BUILD_ROOT%{_bindir}/m17n-config
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog README
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Nov 10 2005 Jens Petersen <petersen@redhat.com> - 1.2.0-1
- do not build static lib and .la files (Warren Togami)

* Wed Oct  5 2005 Jens Petersen <petersen@redhat.com>
- initial packaging for Fedora Extras

* Sat Jan 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp>
- modify spec for fedora
